package cn.com.poc.data_analyze.query;

import cn.com.yict.framemax.data.model.BaseItemClass;

import javax.persistence.Column;
import javax.persistence.Entity;
import java.io.Serializable;

/**
 * Query Item class for MemberPointUsageOverallQuery
 */
@Entity
public class MemberPointUsageOverallQueryItem extends BaseItemClass implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * today_total_points
     * today_total_points
     */
    private java.lang.Double todayTotalPoints;

    @Column(name = "today_total_points")
    public java.lang.Double getTodayTotalPoints() {
        return this.todayTotalPoints;
    }

    public void setTodayTotalPoints(java.lang.Double todayTotalPoints) {
        this.todayTotalPoints = todayTotalPoints;
    }

    /**
     * week_total_points
     * week_total_points
     */
    private java.lang.Double weekTotalPoints;

    @Column(name = "week_total_points")
    public java.lang.Double getWeekTotalPoints() {
        return this.weekTotalPoints;
    }

    public void setWeekTotalPoints(java.lang.Double weekTotalPoints) {
        this.weekTotalPoints = weekTotalPoints;
    }

    /**
     * month_total_points
     * month_total_points
     */
    private java.lang.Double monthTotalPoints;

    @Column(name = "month_total_points")
    public java.lang.Double getMonthTotalPoints() {
        return this.monthTotalPoints;
    }

    public void setMonthTotalPoints(java.lang.Double monthTotalPoints) {
        this.monthTotalPoints = monthTotalPoints;
    }

    /**
     * year_total_points
     * year_total_points
     */
    private java.lang.Double yearTotalPoints;

    @Column(name = "year_total_points")
    public java.lang.Double getYearTotalPoints() {
        return this.yearTotalPoints;
    }

    public void setYearTotalPoints(java.lang.Double yearTotalPoints) {
        this.yearTotalPoints = yearTotalPoints;
    }

} 